<?

/* ------------------------------------------------------------------- */
/*

*************************************************
*			UWAGA! SKRYPT NIE JEST DARMOWY.			*
*		DALSZE ROZPOWSZECHNIANIE BEZ ZGODY 			*
*			FIRMY ArtGlobal JEST ZABRONIONE.			*
*************************************************

*************************************************
*	WWW.ArtGlobal.PL		PRODUCENT OPROGRAMOWANIA	*
*	NAZWA SKRYPTU:		NIERUCHOMOSCI 6.0			*
*	WERSJA FINALNA:	04.10.2010						*
*	KONTAKT:				kontakt@artglobal.pl			*
*************************************************

Copyright (c) 2010 ArtGlobal. Wszelkie prawa zastrzeżone.

*/
/* ------------------------------------------------------------------- */

require_once('class/user.class.php');

///////////////////

$smarty -> assign('us', '');

$user = new user;

if ( isset( $_POST['changePass'] ) )
{
        ( $user -> isEmpty ( $_POST['pass'] ) ? $smarty -> assign('pass', $_POST['pass']) : $error[] = 'Nie podano dotychczasowego hasła!' );
        ( $user -> checkUserPass ( $_POST['pass'], $_SESSION['userId'], $mysql ) ? $smarty -> assign('pass', $_POST['pass']) : $error[] = 'Podane dotychczasowe hasło jest niepoprawne!' );
        ( $user -> isEmpty ( $_POST['new_pass_1'] ) ? $smarty -> assign('new_pass_1', $_POST['new_pass_1']) : $error[] = 'Nie podano nowego hasła!' );
        ( $user -> isEmpty ( $_POST['new_pass_2'] ) ? $smarty -> assign('new_pass_2', $_POST['new_pass_2']) : $error[] = 'Nie podano ponownie nowego hasła!' );
        ( $user -> checkPass ( $_POST['new_pass_1'], $_POST['new_pass_2'] ) ? $smarty -> assign('new_pass_1', $_POST['new_pass_1']) : $error[] = 'Podane nowe hasła nie są takie same!' );
        
        if ( $error == null )
        {
                $user -> changePass ( $_POST['new_pass_2'], $_SESSION['userId'], $mysql );
                $smarty -> assign('success', 'Hasło zostało poprawnie zmienione!');
                $smarty -> assign('pass', '');
                $smarty -> assign('new_pass_1', '');
                $smarty -> assign('new_pass_2', '');
        }
}

if ( isset( $_POST['changeEmail'] ) )
{
        ( $user -> isEmpty ( $_POST['email'] ) ? $smarty -> assign('email', $_POST['email']) : $error[] = 'Nie podano dotychczasowego adresu email!' );
        ( $user -> checkUserEmail ( $_POST['email'], $_SESSION['userId'], $mysql ) ? $smarty -> assign('email', $_POST['email']) : $error[] = 'Podany dotychczasowy adres email jest nie poprawny!' );
        ( $user -> isEmpty ( $_POST['new_email_1'] ) ? $smarty -> assign('new_email_1', $_POST['new_email_1']) : $error[] = 'Nie podano nowego adresu email!' );
        ( $user -> emailSql ( $_POST['new_email_1'], $mysql ) ? '' : $error[] = 'Podany nowy adres email istnieje już w naszej bazie!' );
        ( $user -> isEmpty ( $_POST['new_email_2'] ) ? $smarty -> assign('new_email_2', $_POST['new_email_2']) : $error[] = 'Nie podano ponownie nowego adresu email!' );
        ( $user -> checkEmail ( $_POST['new_email_1'], $_POST['new_email_2'] ) ? $smarty -> assign('new_email_2', $_POST['new_email_2']) : $error[] = 'Podane nowe adresy email nei są takie same!' );
        
        if ( $error == null )
        {
                $user -> changeEmail ( $_POST['new_email_2'], $_SESSION['userId'], $mysql );
                $smarty -> assign('success', 'Adres email został poprawnie zmieniony!');
                $smarty -> assign('email', '');
                $smarty -> assign('new_email_1', '');
                $smarty -> assign('new_email_2', '');
        }
}


$smarty -> assign('showType', $object -> showType( $mysql ));
$smarty -> assign('showState', $object -> showState( $mysql ));
$smarty -> assign('showRegion', $object -> showRegion( $mysql ));
$smarty -> assign('showPages', $object -> showPages( $mysql ));
$smarty -> assign('showMiasto', $object -> showMiasto( $mysql ));
$smarty -> assign('showKategoria', $object -> showKategoria( $mysql ));
$smarty -> assign('showStan', $object -> showStan( $mysql ));
$smarty -> assign('showRodzaj', $object -> showRodzaj( $mysql ));
$smarty -> assign('showRynek', $object -> showRynek( $mysql ));

$smarty -> assign('error', $error);
?>
